package de.ivu.elect.business.wahlrechtspruefung.boundary;

import java.io.Serializable;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.kandidatur.entity.KandidaturStatus;
import de.ivu.elect.business.wahl.boundary.WahlZulassungspruefung;
import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus;

public class ZulassungspruefungRegeln implements Serializable {
  private static final long serialVersionUID = 1L;

  public boolean isZulassungMitPruefkriterienDurchfuehrbar(WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungMitPruefkriterienDurchfuehrbar();
  }

  public boolean isZulassungMitPruefkriterienZulaessig(Wahlvorschlag wahlvorschlag, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungMitPruefkriterienZulaessig(wahlvorschlag);
  }

  public boolean isZulassungMitPruefkriterienZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungMitPruefkriterienZulaessig(kandidatur);
  }

  public boolean isZulassungBearbeitbar(WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungBearbeitbar();
  }

  public boolean isZulassungAktiviert(WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungPrueferAktiviert();
  }

  public boolean isZulassungBestaetigenZulaessig(Wahlvorschlag wahlvorschlag, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungBestaetigenZulaessig(wahlvorschlag);
  }

  public boolean isZulassungAblehnenZulaessig(Wahlvorschlag wahlvorschlag, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungAblehnenZulaessig(wahlvorschlag);
  }

  public boolean isZulassungZuruecksetzenZulaessig(Wahlvorschlag wahlvorschlag, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungZuruecksetzenZulaessig(wahlvorschlag);
  }

  public boolean isZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussZulaessig(Wahlvorschlag wahlvorschlag, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussZulaessig(wahlvorschlag);
  }

  public boolean isZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussZulaessig(Wahlvorschlag wahlvorschlag, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussZulaessig(wahlvorschlag);
  }

  public WahlvorschlagStatus getZulassungWahlvorschlagStatusInitial(WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.getZulassungWahlvorschlagStatusInitial();
  }

  public boolean isZulassungBestaetigenZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungBestaetigenZulaessig(kandidatur);
  }

  public boolean isZulassungBestaetigenNachtraeglichAmtsannahmeUnzulaessigZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungBestaetigenNachtraeglichAmtsannahmeUnzulaessigZulaessig(kandidatur);
  }

  public boolean isZulassungBestaetigenNachtraeglichAmtsannahmeVerweigertZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungBestaetigenNachtraeglichAmtsannahmeVerweigertZulaessig(kandidatur);
  }

  public boolean isZulassungAblehnenZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungAblehnenZulaessig(kandidatur);
  }

  public boolean isZulassungZuruecksetzenZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungZuruecksetzenZulaessig(kandidatur);
  }

  public boolean isZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussZulaessig(kandidatur);
  }

  public boolean isZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussZulaessig(Kandidatur kandidatur, WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.isZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussZulaessig(kandidatur);
  }

  public KandidaturStatus getZulassungKandidaturStatusInitial(WahlZulassungspruefung wahlZulassungspruefung) {
    return wahlZulassungspruefung.getZulassungKandidaturStatusInitial();
  }
}
